import { ErrorHandlerService } from './../../core/error-handler.service';
import { PageEvent } from './../../data-table/data-table.model';
import { OnInit } from '@angular/core';
import { ImportCsvConfig } from '../import-csv-config';
import { HttpService } from '../../core/http.service';
import * as i0 from "@angular/core";
export declare class ImportHistoryListComponent implements OnInit {
    private errorHandler;
    private http;
    config: ImportCsvConfig;
    histories: any[];
    displayedColumns: string[];
    isWorking: boolean;
    filter: any;
    pageEvent: PageEvent;
    constructor(errorHandler: ErrorHandlerService, http: HttpService);
    ngOnInit(): void;
    loadData(): void;
    onScroll(): void;
    reload(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImportHistoryListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImportHistoryListComponent, "app-import-history-list", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, false, never>;
}
